List webhook delivery logs
curl --request GET \
--url https://api.kavenio.com/v1/webhooks/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kavenio.com/v1/webhooks/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kavenio.com/v1/webhooks/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kavenio.com/v1/webhooks/logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kavenio.com/v1/webhooks/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kavenio.com/v1/webhooks/logs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kavenio.com/v1/webhooks/logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"deliveries": [
{
"id": "<string>",
"organizationId": "<string>",
"endpointId": "<string>",
"eventId": "<string>",
"eventType": "post.scheduled",
"status": "pending",
"attemptCount": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"lastStatusCode": 349,
"lastError": "<string>",
"responseBodySnippet": "<string>",
"deliveredAt": "2023-11-07T05:31:56Z",
"deadLetteredAt": "2023-11-07T05:31:56Z",
"attempts": [
{
"id": "<string>",
"deliveryId": "<string>",
"endpointId": "<string>",
"eventId": "<string>",
"eventType": "post.scheduled",
"attemptNumber": 123,
"status": "succeeded",
"attemptedAt": "2023-11-07T05:31:56Z",
"statusCode": 349,
"durationMs": 4503599627370495,
"error": "<string>",
"responseBodySnippet": "<string>"
}
]
}
],
"pagination": {
"page": 4503599627370496,
"limit": 4503599627370496,
"total": 4503599627370495,
"hasMore": true
}
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Webhooks
List webhook delivery logs
Returns time-ordered webhook delivery logs. Delivery state may reflect asynchronous retry workers.
GET
/
v1
/
webhooks
/
logs
List webhook delivery logs
curl --request GET \
--url https://api.kavenio.com/v1/webhooks/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kavenio.com/v1/webhooks/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kavenio.com/v1/webhooks/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kavenio.com/v1/webhooks/logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kavenio.com/v1/webhooks/logs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kavenio.com/v1/webhooks/logs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kavenio.com/v1/webhooks/logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"deliveries": [
{
"id": "<string>",
"organizationId": "<string>",
"endpointId": "<string>",
"eventId": "<string>",
"eventType": "post.scheduled",
"status": "pending",
"attemptCount": 4503599627370495,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"lastStatusCode": 349,
"lastError": "<string>",
"responseBodySnippet": "<string>",
"deliveredAt": "2023-11-07T05:31:56Z",
"deadLetteredAt": "2023-11-07T05:31:56Z",
"attempts": [
{
"id": "<string>",
"deliveryId": "<string>",
"endpointId": "<string>",
"eventId": "<string>",
"eventType": "post.scheduled",
"attemptNumber": 123,
"status": "succeeded",
"attemptedAt": "2023-11-07T05:31:56Z",
"statusCode": 349,
"durationMs": 4503599627370495,
"error": "<string>",
"responseBodySnippet": "<string>"
}
]
}
],
"pagination": {
"page": 4503599627370496,
"limit": 4503599627370496,
"total": 4503599627370495,
"hasMore": true
}
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Available options:
post.scheduled, post.updated, post.published, post.unpublished, post.failed, post.partial, post.recycled, account.connected, account.disconnected, ad.created, ad.status_changed, account.ads.initial_sync_completed, webhook.test Available options:
pending, delivered, retrying, dead_lettered, cancelled Required range:
1 <= x <= 9007199254740991Required range:
1 <= x <= 100Was this page helpful?